Summary:	tint2 is a simple panel/taskbar intentionally made for openbox3
Summary(pl.UTF-8):	tint2 jest prostym panelem oryginalnie zaprojektowanym dla openbox3
Name:		tint2
Version:	17.0.2
Release:	1
License:	GPL v2
Group:		Applications
Source0:	https://gitlab.com/o9000/tint2/-/archive/v17.0.2/%{name}-v%{version}.tar.bz2
# Source0-md5:	60e5addfa33426229c00325a2e3af97b
URL:		https://gitlab.com/o9000/tint2/
BuildRequires:	cairo-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	imlib2-devel >= 1.4.2
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel >= 0.12
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3
BuildRequires:	xorg-lib-libXrender-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
Requires(post,postun):	desktop-file-utils
Suggests:	openbox
Obsoletes:	tint2-examples < 17.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tint2 is a simple panel/taskbar intentionally made for openbox3, but
should also work with other window managers. It's based on ttm code
http://code.google.com/p/ttm/

%description -l pl.UTF-8
tint2 jest prostym panelem/zasobnikiem oryginalnie zaprojektowanym dla
openbox3, ale powinien również współpracować z innymi menadżerami
okien. Jego kod oparty jest na ttm http://code.google.com/p/ttm/

%prep
%setup -q -n %{name}-v%{version}
mkdir build

%build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}

%find_lang tint2conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%update_mime_database

%files -f tint2conf.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md doc/{tint2.md,images,manual.html,readme.html}
%attr(755,root,root) %{_bindir}/tint2
%attr(755,root,root) %{_bindir}/tint2conf
%dir %{_sysconfdir}/xdg/tint2
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/tint2/tint2rc
%dir %{_datadir}/tint2
%{_datadir}/tint2/default_icon.png
%{_mandir}/man1/tint2.1.*
%{_desktopdir}/tint2conf.desktop
%{_desktopdir}/tint2.desktop
%{_iconsdir}/hicolor/scalable/apps/tint2.svg
%{_iconsdir}/hicolor/scalable/apps/tint2conf.svg
%{_datadir}/mime/packages/tint2conf.xml
%{_datadir}/tint2/*.tint2rc

%changelog
* Sat Apr 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tint2.git;a=log;h=master

* Sat Apr 13 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 417e55b
- up to 17.0.2

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 66510a3
- avoid g++ requirement
- BR: gtk+2-devel, xorg-lib-libXrandr-devel
- no need to pass rpm*flags to make anymore
- NOTE: still overrides out optimization with -O3

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> d3c1c66
- release 2

* Sat Aug 28 2010 duddits <duddits@pld-linux.org> e242b53
- works, back to rel. 1

* Sun Aug 15 2010 duddits <duddits@pld-linux.org> 2c43d7f
- obsoleted

* Sun Aug 15 2010 duddits <duddits@pld-linux.org> 93de814
- forgot to add info about dropping obsolete patch

* Sun Aug 15 2010 duddits <duddits@pld-linux.org> 75436c3
- up to 0.11
- it now uses cmake build, BR: cmake
- drop auto-hell
- BR: desktop-file-utils
- mo' files!
- back to .1 rel. for testing purposes
- patch obsoleted, config file now resides under ~/.config/tint2
  directory

* Mon Mar 22 2010 duddits <duddits@pld-linux.org> 0a88a11
- up to 0.9
- rel. 1
- looks like it works after all
- pdf doc is a bit outdated but they don't have any newer one

* Wed Jan 20 2010 sparky <sparky@pld-linux.org> 485c8ca
- BR: xorg-lib-libXcomposite-devel, xorg-lib-libXdamage-devel

* Tue Jan 19 2010 duddits <duddits@pld-linux.org> b2b552f
- up to 0.9-rc1
- more %files

* Tue Jan 05 2010 sparky <sparky@pld-linux.org> 2243168
- BR: rpm-pythonprov

* Tue Jan 05 2010 duddits <duddits@pld-linux.org> 6c4742e
- tintwizard_conf.patch: move tintwizard.conf under $HOME/.config

* Tue Jan 05 2010 duddits <duddits@pld-linux.org> 729d8b7
- move tintwizard.conf under $HOME/.config

* Mon Jan 04 2010 duddits <duddits@pld-linux.org> 73e474d
- bcond desc fixed, thanks sparky {:

* Mon Jan 04 2010 duddits <duddits@pld-linux.org> fc82e1a
- bcond corrected

* Mon Jan 04 2010 duddits <duddits@pld-linux.org> 20e442d
- up to 0.8
- new bcond: tintwizard and corresponding R: added
- new examples

* Sat Sep 05 2009 duddits <duddits@pld-linux.org> 150355f
- rel. 1, works

* Sun Jul 26 2009 duddits <duddits@pld-linux.org> 9ac6ed6
- up to 0.7.1
- auto-hell added
- examples, pdf doc

* Fri May 15 2009 sparky <sparky@pld-linux.org> 8e00dfa
- don't use prebuilt binary
- use __cc and rpm*flags

* Mon May 11 2009 duddits <duddits@pld-linux.org> b8fb60c
- obsoleted

